-----
DROP TABLE IMRD_F.EN_MRD0300 CASCADE CONSTRAINTS;

--criando a tabela com a PK ID
CREATE TABLE IMRD_F.EN_MRD0300
(
    RPLY_TBL_MRD_8254     VARCHAR2(2048 BYTE),
    CDD_RPLY_3465         VARCHAR2(2048 BYTE),
    RPLY_STAT_IND_2498    VARCHAR2(2048 BYTE),
    DCOD_RPLY_ST_3864     VARCHAR2(2048 BYTE),
    ID                    NUMBER(19),
    PRIMARY KEY(ID)
)
TABLESPACE IMRD_FTBL
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

--criando os sinonimos publicos
CREATE OR REPLACE PUBLIC SYNONYM EN_MRD0300 FOR IMRD_F.EN_MRD0300;

--dropando a sequence
DROP SEQUENCE IMRD_F.SQ_EN_TABL300;
--criando a sequence
CREATE SEQUENCE IMRD_F.SQ_EN_TABL300
  START WITH 1
  MAXVALUE 9999999999999999999999999999
  MINVALUE 0
  NOCYCLE
  NOCACHE
  NOORDER;

--criando indices
CREATE UNIQUE INDEX IDX_EN_MRD0300_RPLY_CDD ON IMRD_F.EN_MRD0300(RPLY_TBL_MRD_8254, CDD_RPLY_3465) TABLESPACE IMRD_FTBL;
